from fastapi import APIRouter, Depends
from sqlalchemy import text
from sqlalchemy.orm import Session

from app.db.deps import get_db

router = APIRouter()


@router.get("/")
def health_check(db: Session = Depends(get_db)):
    """
    Health check endpoint.
    """
    # Check database connection
    try:
        db.execute(text("SELECT 1"))
        db_status = "ok"
    except Exception as e:
        db_status = f"error: {e!s}"

    return {
        "status": "ok",
        "database": db_status,
    }